Bug 35518 - In windows, if we try to run xamarin profiler after saving the result as mlpd file then it won’t start the new session, instead it will run the same saved result. But in iOS we can run a new session.
Summary: In windows, if we try to run xamarin profiler after saving the result as mlpd...
Status: VERIFIED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: General (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: (C8)
Assignee: Dominique Louis
URL:
Depends on:
Blocks:
 
Reported: 2015-11-04 01:29 UTC by Tittu Aliyas
Modified: 2016-01-22 13:22 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Tittu Aliyas 2015-11-04 01:29:41 UTC
Overview:
In windows (with Visual Studio), if we try to run xamarin profiler after saving the result as mlpd file then it won’t start  the new profiling session, instead it will run the same saved result. But in iOS (with Xamarin Studio), we can run a new profiling session.
Versions:
Visual Studio 2015
Xamarin Profiler 0.24.0.0
Steps to Reproduce:
1. Make sure the device is connected with the PC and Visual studio detected the device.
2. Launch the Xamarin profiler from Visual Studio.
3. Run the Xamarin profiler and get the result for any scenario.
4. Save the result as mlpd file.
5. Run the Xamarin profiler again.
Actual Result: 
Xamarin Profiler will run the same saved result 
Expected Result:
Xamarin Profiler should start a new profiling session and should be able to get the result for new scenario.
Additional Information:
In iOS (with Xamarin Studio), we are able to start a new session and able to get the result for new scenario
Comment 1 Rodrigo Moya 2015-11-04 03:48:26 UTC
A screencast of the problem you're seeing would be helpful
Comment 2 Dominique Louis 2016-01-15 13:06:18 UTC
Working making windows behave like Mac.
Comment 3 Dominique Louis 2016-01-18 16:48:21 UTC
Should now behave like the Mac profiler.
Comment 4 asimk 2016-01-22 13:15:13 UTC
I have checked this issue with latest profiler build i.e. profiler-mac-0.30.0-69 and observed that I am getting new profiling session every time when I start profiling on VS.
So I am closing this issue. Here is the screencast for the same.

Screencast: http://www.screencast.com/t/Eze9zSwbI1b7
Comment 5 asimk 2016-01-22 13:22:16 UTC
@Tittu, Please feel to reopen this bug if you are still getting the same issue.

Also it would be great if you provide us log details and screencast also. You can get log details from following places.
Profiler Log: Xamarin Profiler-> Help-> Open Log Directory
Zip Xamarin Log: Visual Studio-> Help-> Xamarin-> Zip Logs